nameusage: List name usages in a dataset

API: catalogueoflife.org:catalogue-of-life-api
Endpoint: /dataset/{datasetKey}/nameusage
Response format: application/json
Auth: none
Method: GET
Last Status: 200
Latency: 338ms

Description

Returns a paginated list of name usages (taxon names with their usage context) in the specified dataset. Supports filtering by scientific name query.

Parameters (4)

datasetKey (string, path, required)

Dataset identifier

limit (integer, query, optional, default: 10)

Maximum number of results to return

offset (integer, query, optional, default: 0)

Number of results to skip

q (string, query, optional)

Search for name usages by scientific name (partial matches supported)

Examples (1)

List name usages in a dataset openapi-spec
curl 'https://api.catalogueoflife.org/dataset/3LR/nameusage'
import requests

resp = requests.get("https://api.catalogueoflife.org/dataset/3LR/nameusage")
data = resp.json()
import zingu_apis

api = zingu_apis.api("catalogueoflife")
result = api.fetch("dataset/{datasetKey}/nameusage")

for item in result:
    print(item)
const resp = await fetch("https://api.catalogueoflife.org/dataset/3LR/nameusage");
const data = await resp.json();

Probe History

Latency

Status Codes

TimeStatusLatencySize
2026-04-16 02:58:24.389148 200 338ms
2026-04-15 03:17:07.758430 200 372ms
2026-04-14 01:14:14.640166 200 272ms
2026-04-12 15:51:30.390634 200 1049ms
2026-04-10 04:24:41.227617 200 101ms
2026-04-09 03:43:10.694264 200 216ms
2026-04-08 01:18:32.082350 200 359ms
2026-04-07 00:58:24.449232 200 178ms
2026-04-06 06:41:34.841623 200 172ms
2026-04-05 02:08:00.942098 200 199ms
2026-04-04 02:14:43.702788 200 164ms
2026-04-03 13:25:27.419566 200 489ms
2026-03-30 12:01:11.890813 ERR